Bug 122382 - Probe does not detect Nokia 446Xt Monitor
Probe does not detect Nokia 446Xt Monitor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 17:33 EDT by Thomas Kisner
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 03:04:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Kisner 2004-05-03 17:33:33 EDT
Description of problem:

Probe for AMD64 version of Fedora Core 1 (and Fedora Core 2 beta 2)
does not detect my Nokia 446Xt monitor.  When I ran the i386 version
of Red Hat 9, it correctly detects my monitor.

I can, of course, choose my monitor from the list.
Comment 1 Mike A. Harris 2004-05-04 11:25:03 EDT
The DDC probe code used in the config tool (ddcprobe), only works
on the x86 architecture.  It does DDC probe by way of the VESA
BIOS Extensions (VBE), which is done via LRMI.  Unfortunately, LRMI
only works on 32bit x86 architecture.  As such, the installation and
configuration tools can only autodetect monitors on 32bit x86, but
not on any other architecture.

The X server itself however does not have this limitation.  The X
server executes the video BIOS on x86 by using vm86().  On non-x86
architectures the X server executes the video BIOS inside an x86
emulator (x86emu) which should work on all architectures.

Please attach your X server log file Xorg.0.log to the report for
examination, and I will review it.
Comment 2 Mike A. Harris 2004-10-12 03:04:28 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.